<?php

/*
 *  삭제
 */
include_once './_common.php';
include_once './index.php';

if (!defined('_GNUBOARD_')) {
    exit;
}
if (!($token && get_session('ask_delete_token') == $token)) {
    alert('토큰 에러로 삭제 불가합니다.');
    exit;
}
if ($idx) {
    $idx = sql_escape($idx);
    if ($type == 'child') {
        //최신글 설정 삭제
        $sql = "delete from ask_plugin_indexgroup_child where aic_idx = '{$idx}' limit 1";
        sql_query($sql);
    }
    if ($type == 'parent') {
        //부모 및 자식페이지 삭제
        //최신글 설정 삭제
        $sql = "delete from ask_plugin_indexgroup_child where aic_parent_idx = '{$idx}'";
        sql_query($sql);
        //부모 삭제
        $sql = "delete from ask_plugin_indexgroup where aig_idx = '{$idx}' limit 1";
        sql_query($sql);
    }
    goto_url(G5_PLUGIN_URL . '/asktheme/plugin/indexgroup/indexgroup_list.php');
    exit;
} else {
    alert('잘못된 접속!!');
    exit;
}